"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function fromJSONDate(jsonDate) {
  return jsonDate ? jsonDate.slice(0, 10) : "";
}

function toJSONDate(dateString) {
  if (dateString) {
    return new Date(dateString).toJSON();
  }
}

function DateWidget(_ref) {
  var schema = _ref.schema;
  var id = _ref.id;
  var value = _ref.value;
  var required = _ref.required;
  var _onChange = _ref.onChange;

  return _react2.default.createElement("input", { type: "date",
    id: id,
    className: "form-control",
    value: fromJSONDate(value),
    required: required,
    onChange: function onChange(event) {
      return _onChange(toJSONDate(event.target.value));
    } });
}

if (process.env.NODE_ENV !== "production") {
  DateWidget.propTypes = {
    schema: _react.PropTypes.object.isRequired,
    id: _react.PropTypes.string.isRequired,
    placeholder: _react.PropTypes.string,
    value: _react.PropTypes.string,
    required: _react.PropTypes.bool,
    onChange: _react.PropTypes.func
  };
}

exports.default = DateWidget;